package cooper

import (
	"errors"
	"net/url"
)


func (that *CooperClient) NewUsrK3LightLineQueryByModRequest() *UsrK3LightLineQueryByModRequest {
	return &UsrK3LightLineQueryByModRequest{
		Request: Request{
			Client:     that,
			apiAddress: "/usrK3/lightLineQueryByMod",
		},
	}
}

//UsrK3LightLineQueryByModRequest ...
type UsrK3LightLineQueryByModRequest struct {
	Request
}

//LineIds
func (that *UsrK3LightLineQueryByModRequest) SetLineIds(value string) *UsrK3LightLineQueryByModRequest {
	that.initParams()
	that.params.Set("line_ids", value)
	return that
}

//Params ...
func (that *UsrK3LightLineQueryByModRequest) Params() (url.Values, error) {
	that.initParams()
	_params := that.params
	if that.publicParamsSlice != nil {
		for _, _v := range that.publicParamsSlice {
			if _params.Get(_v) == "" {
				return nil, errors.New(that.apiAddress + "缺少参数:" + _v)
			}
		}
	}
	return _params, nil
}

//Do ...
func (that *UsrK3LightLineQueryByModRequest) Do() (interface{}, error) {
	//返回data
	_data, _err := that.Client.Post(that.apiAddress, that)
	if _err != nil {
		return nil, _err
	}
	return _data, nil
}
